com.io7m.jcanephora.cursors

## Class JCGLRGBA16UByteBuffered

- java.lang.Object
- - com.io7m.jcanephora.cursors.JCGLRGBA16UByteBuffered

- All Implemented Interfaces:
    JCGLRGBA16UReadableType, JCGLRGBA16UType, JCGLRGBA16UWritableType, com.io7m.jpra.runtime.java.JPRAValueType

      public final class JCGLRGBA16UByteBuffered
      extends Object
      implements JCGLRGBA16UType

  A `ByteBuffer` based implementation of the `JCGLRGBA16U` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getA()`
    `short` | `getB()`
    `short` | `getG()`
    `short` | `getR()`
    `int` | `metaAOffsetFromCursor()`
    `int` | `metaAOffsetFromType()`
    `static int` | `metaAStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaAType()`
    `int` | `metaBOffsetFromCursor()`
    `int` | `metaBOffsetFromType()`
    `static int` | `metaBStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaBType()`
    `int` | `metaGOffsetFromCursor()`
    `int` | `metaGOffsetFromType()`
    `static int` | `metaGStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaGType()`
    `int` | `metaROffsetFromCursor()`
    `int` | `metaROffsetFromType()`
    `static int` | `metaRStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaRType()`
    `static JCGLRGBA16UType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static JCGLRGBA16UType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setA(short x)` Set the value of the `a` field
    `void` | `setB(short x)` Set the value of the `b` field
    `void` | `setG(short x)` Set the value of the `g` field
    `void` | `setR(short x)` Set the value of the `r` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static JCGLRGBA16UType newValueWithOffset(ByteBuffer in_buffer,
                                                           com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                           int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static JCGLRGBA16UType newValue(ByteBuffer in_buffer,
                                                 com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaROffsetFromType

          public int metaROffsetFromType()

      Specified by:
        `metaROffsetFromType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `r` field, from the start of the type

    - #### metaRStaticOffsetFromType

          public static int metaRStaticOffsetFromType()

      Returns:
        The offset in octets of field `r` from the start of the type

    - #### metaROffsetFromCursor

          public int metaROffsetFromCursor()

      Specified by:
        `metaROffsetFromCursor` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `r` field, from the cursor

    - #### metaRType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaRType()

      Specified by:
        `metaRType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The type of the `r` field

    - #### getR

          public short getR()

      Specified by:
        `getR` in interface `JCGLRGBA16UReadableType`
      Returns:
        The value of the `r` field

    - #### setR

          public void setR(short x)

      Description copied from interface: `JCGLRGBA16UWritableType`
      Set the value of the `r` field
      Specified by:
        `setR` in interface `JCGLRGBA16UWritableType`
      Parameters:
        `x` - The new value

    - #### metaGOffsetFromType

          public int metaGOffsetFromType()

      Specified by:
        `metaGOffsetFromType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `g` field, from the start of the type

    - #### metaGStaticOffsetFromType

          public static int metaGStaticOffsetFromType()

      Returns:
        The offset in octets of field `g` from the start of the type

    - #### metaGOffsetFromCursor

          public int metaGOffsetFromCursor()

      Specified by:
        `metaGOffsetFromCursor` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `g` field, from the cursor

    - #### metaGType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaGType()

      Specified by:
        `metaGType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The type of the `g` field

    - #### getG

          public short getG()

      Specified by:
        `getG` in interface `JCGLRGBA16UReadableType`
      Returns:
        The value of the `g` field

    - #### setG

          public void setG(short x)

      Description copied from interface: `JCGLRGBA16UWritableType`
      Set the value of the `g` field
      Specified by:
        `setG` in interface `JCGLRGBA16UWritableType`
      Parameters:
        `x` - The new value

    - #### metaBOffsetFromType

          public int metaBOffsetFromType()

      Specified by:
        `metaBOffsetFromType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `b` field, from the start of the type

    - #### metaBStaticOffsetFromType

          public static int metaBStaticOffsetFromType()

      Returns:
        The offset in octets of field `b` from the start of the type

    - #### metaBOffsetFromCursor

          public int metaBOffsetFromCursor()

      Specified by:
        `metaBOffsetFromCursor` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `b` field, from the cursor

    - #### metaBType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaBType()

      Specified by:
        `metaBType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The type of the `b` field

    - #### getB

          public short getB()

      Specified by:
        `getB` in interface `JCGLRGBA16UReadableType`
      Returns:
        The value of the `b` field

    - #### setB

          public void setB(short x)

      Description copied from interface: `JCGLRGBA16UWritableType`
      Set the value of the `b` field
      Specified by:
        `setB` in interface `JCGLRGBA16UWritableType`
      Parameters:
        `x` - The new value

    - #### metaAOffsetFromType

          public int metaAOffsetFromType()

      Specified by:
        `metaAOffsetFromType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `a` field, from the start of the type

    - #### metaAStaticOffsetFromType

          public static int metaAStaticOffsetFromType()

      Returns:
        The offset in octets of field `a` from the start of the type

    - #### metaAOffsetFromCursor

          public int metaAOffsetFromCursor()

      Specified by:
        `metaAOffsetFromCursor` in interface `JCGLRGBA16UReadableType`
      Returns:
        The offset in octets of the `a` field, from the cursor

    - #### metaAType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaAType()

      Specified by:
        `metaAType` in interface `JCGLRGBA16UReadableType`
      Returns:
        The type of the `a` field

    - #### getA

          public short getA()

      Specified by:
        `getA` in interface `JCGLRGBA16UReadableType`
      Returns:
        The value of the `a` field

    - #### setA

          public void setA(short x)

      Description copied from interface: `JCGLRGBA16UWritableType`
      Set the value of the `a` field
      Specified by:
        `setA` in interface `JCGLRGBA16UWritableType`
      Parameters:
        `x` - The new value

Copyright © 2016 <code@io7m.com> http://io7m.com